{
  description = "Lumenescent Dreams Tools";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-23.05";
    unstable.url = "nixpkgs/nixos-unstable";
    pkgs-cargo2nix.url = "github:cargo2nix/cargo2nix";
    typeshare.url = "github:1Password/typeshare";
  };

  outputs = { self, nixpkgs, unstable, pkgs-cargo2nix, typeshare, ... }:
    let 
      version = builtins.string 0 8 self.lastModifiedDate;
      supportedSystems = [ "x86_64-linux" ];
    in
    {
      devShell."x86_64-linux" =
        let
          pkgs = import nixpkgs { system = "x86_64-linux"; };
          pkgs-unstable = import unstable { system = "x86_64-linux"; };
          cargo2nix = pkgs-cargo2nix.packages."x86_64-linux";
        in
        pkgs.mkShell {
          name = "ld-tools-devshell";
          buildInputs = [
            pkgs.libadwaita
            pkgs.clang
            pkgs.entr
            pkgs.glade
            pkgs.glib
            pkgs.gst_all_1.gst-plugins-bad
            pkgs.gst_all_1.gst-plugins-base
            pkgs.gst_all_1.gst-plugins-good
            pkgs.gst_all_1.gst-plugins-ugly
            pkgs.gst_all_1.gstreamer
            pkgs.gtk4
            pkgs.nodejs
            pkgs.openssl
            pkgs.pipewire
            pkgs.pkg-config
            pkgs.sqlite
            pkgs.rustup
            pkgs.cargo-nextest
            pkgs.crate2nix
            pkgs.wasm-pack
            pkgs.sqlx-cli
            typeshare.packages."x86_64-linux".default
          ];
          LIBCLANG_PATH="${pkgs.llvmPackages.libclang.lib}/lib";
        };
    };
}
